<template>
    <el-dialog
        :title="title + '日志'"
        :visible="visible"
        :before-close="handleClose"
        width="65%"
    >
        <el-form ref="formInfo" :model="params" label-width="150px">
            <el-row>
                <el-col :span="11">
                    <el-form-item label="任务编号：" prop="taskId">
                        <el-input
                            :readonly="true"
                            v-model="params.taskId"
                        ></el-input>
                    </el-form-item>
                </el-col>
                <el-col :span="11">
                    <el-form-item label="调度编号：" prop="sysJoblogId">
                        <el-input
                            style="width: 100%"
                            :readonly="true"
                            v-model="params.sysJoblogId"
                        ></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="11">
                    <el-form-item
                        inline="true"
                        label="任务开始时间："
                        prop="startTime"
                    >
                        <el-input
                            :readonly="true"
                            v-model="params.startTime"
                        ></el-input>
                    </el-form-item>
                </el-col>
                <el-col :span="11">
                    <el-form-item label="任务结束时间：" prop="endTime">
                        <el-input
                            :readonly="true"
                            v-model="params.endTime"
                        ></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="11">
                    <el-form-item label="任务状态：" prop="status">
                        <el-input :readonly="true" v-model="params.status">
                        </el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="22">
                    <el-form-item label="任务结果：" prop="result">
                        <el-input
                            :readonly="true"
                            v-model="params.result"
                        ></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="22">
                    <el-form-item label="任务说明：" prop="taskMemo">
                        <el-input
                            type="textarea"
                            :rows="4"
                            v-model="params.taskMemo"
                            readonly
                        >
                        </el-input>
                    </el-form-item>
                </el-col>
            </el-row>
        </el-form>
    </el-dialog>
</template>

<script>
import utils from '@/hotent-ui-util.js'
export default {
    name: 'logQueryDialog',
    data() {
        return {
            visible: false,
            title: '查看',
            params: {
                endTime: null, //任务结束时间
                result: null, //任务结果
                startTime: null, //任务开始时间
                status: null, //任务状态
                sysJoblogId: null, //调度id
                taskId: null, //任务id
                taskMemo: null,
            },
        }
    },
    methods: {
        edit(row) {
            this.params = utils.deepClone(row)
            if (this.params.status === 0) {
                this.params.status = '失败'
            } else {
                this.params.status = '成功'
            }
            this.visible = true
        },
        handleClose() {
            this.params = {
                endTime: null, //任务结束时间
                result: null, //任务结果
                startTime: null, //任务开始时间
                status: null, //任务状态
                sysJoblogId: null, //调度id
                taskId: null, //任务id
            }
            this.visible = false
        },
    },
}
</script>

<style lang="scss" scoped></style>
